
Redmine - Patch #26522

Repository routing bug when file path starts with (browse|entry|raw|changes|annotate|diff)/

2017-07-25 11:43 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 4.0.0   

Description

If the first component of a path in a repository equals one of the strings above, the wrong route gets selected in the case of links

without repository_id (as they are generated from wiki source: links to the default repository of a project) and the intended action is

mistaken for the repository_id parameter. Attached is a patch to the repository routing test illustrating the issue.

I would suggest to change repository#identifier_param to always return an identifier (see second patch) and remove the repository

routes without repository_id (rows 280ff in current config/routes.rb).

Related issues:

Related to Redmine - Defect #35885: the change of routing raw files from repo... New

Associated revisions

Revision 17386 - 2018-06-16 16:27 - Jean-Philippe Lang

Removes repository routes without repository_id (#26522).

History

#1 - 2017-07-25 16:08 - Toshi MARUYAMA

- Target version set to 4.0.0

#2 - 2018-06-16 16:29 - Jean-Philippe Lang

- Subject changed from repository routing bug when file path starts with (browse|entry|raw|changes|annotate|diff)/ to Repository routing bug when file

path starts with (browse|entry|raw|changes|annotate|diff)/

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Routes without repository_id are removed.

#3 - 2021-09-21 15:22 - Holger Just

- Related to Defect #35885: the change of routing raw files from repositories not included in the upgrade proces/manual added

Files

repository_routing_test.patch 555 Bytes 2017-07-25 Jens Krämer

repository_identifier_param.patch 381 Bytes 2017-07-25 Jens Krämer
